Re: [PATCH] Add Tru64/OSF1 support in Makefile
- From
- Tor Arntsen <tor@spacetec.no>
- Date
- Apr 2, 2010, 15:12 UTC
- Message-ID
- <h2md2d39d861004020812t8463e4f8zbc825bd220fef961@mail.gmail.com>
- In-Reply-To
- <RWfCNK1AsUFfin9YdRY1QqUtD-ISnv9hImfDeE0DFlh3_fRWdvEF2w@cipher.nrlssc.navy.mil>
On Fri, Apr 2, 2010 at 16:56, Brandon Casey <brandon.casey.ctr@nrlssc.navy.mil> wrote:
Show 9 quoted lines
> Here's another snippet which will show whether $? has the correct
> value inside a trap on EXIT:
>
> (atrap () { exit $?; }
> trap atrap EXIT
> exit 1) && echo 'FAILURE' || echo 'SUCCESS'
>
> If that prints 'FAILURE', then you will need the patch that I have in
> order to run the test suite. ksh from IRIX 6.5 and Solaris both fail.It's 'FAILURE' on Tru64 V5.1. I've confirmed 'FAILURE' on IRIX 6.5.30 and older too, as well as IRIX 6.2 and Solaris 10. And AIX 5.1 plus AIX 6.2. in fact I've only got 'SUCCESS' on Linux (pdksh)...
> -brandon
-Tor